import { OnInit } from '@angular/core';
import { ResponseContentType } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { ServiceUtil } from '../_util/service.util';
import { HttpClient, HttpHeaders } from '@angular/common/http';
export declare class HttpService extends ServiceUtil implements OnInit {
    private http;
    private dados;
    constructor(http: HttpClient);
    ngOnInit(): void;
    get(url: string, header?: HttpHeaders, responseType?: ResponseContentType): Observable<any>;
    post(url: string, body: string, header?: HttpHeaders): Observable<any>;
    put(url: string, body: string, header?: HttpHeaders): Observable<any>;
    delete(url: string, header?: HttpHeaders): Observable<any>;
    private criptografarUrl(url);
}
