import { OnDestroy } from '@angular/core';
import { AuthenticationService } from "../_services/authentication.service";
import { Observable } from 'rxjs/Observable';
import { CookieService } from '../_cookie/cookie.service';
export declare class RedirectService implements OnDestroy {
    private authenticationService;
    private cookieService;
    localDateTime: number;
    private auth_url;
    private result;
    private static instanceAuthenticationService;
    private _aplicacaoInativa;
    private _rotaAtual;
    constructor(authenticationService: AuthenticationService, cookieService: CookieService);
    static getInstance(): AuthenticationService;
    startRedirectFromBarramento(baseUrl: string): Observable<any>;
    startInitVerifySessionToken(): Observable<any>;
    ngOnDestroy(): void;
    private verifyTimeTokenExpired();
    private initVerificationRedirect();
    private redirectWithCodeUrl(code);
    private authenticateClient();
}
