import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import { CookieService } from '../_cookie/cookie.service';
import { HttpService } from '../_http/http.service';
import { HttpClient } from '@angular/common/http';
export declare class AuthenticationService {
    private http;
    private cookieService;
    private httpAngular;
    time: number;
    client_secret: string;
    port_server: string;
    base_url: string;
    activatedSystem: boolean;
    erlangmsUrlMask: any;
    clientSecret: string;
    private textDate;
    private intervalId;
    private urlSistema;
    private partesUrlSistema;
    protocoloSistema: any;
    dominioSistema: any;
    private protocol;
    private dominio;
    private urlAuthorize;
    private _transformaMilissegundos;
    private _tempoParaRefresh;
    private _grant_type;
    private _errorNotANumber;
    _nomeArquivoBarramento: string;
    currentUser: any;
    nomeDoSistema: any;
    constructor(http: HttpService, cookieService: CookieService, httpAngular: HttpClient);
    private dadosDaUrl();
    getUrl(): Observable<any>;
    getClientCode(client: string): Observable<any>;
    redirectUserTokenAccess(url: string, client_id: any, client_secret: string, code: string, grant_type: string, redirect_uri: string): Observable<boolean>;
    private addValueUser(resp, emit);
    periodicIncrement(sessionTime: number): Observable<any>;
    private formatDate(timer);
    refreshSessionTime(grant_type: string): Observable<any>;
    cancelPeriodicIncrement(): Observable<any>;
    logout(): void;
    reset(): void;
    findUser(): Observable<any>;
}
